package com.lightinit.hsdataplatform.dictionary;

import java.util.LinkedHashMap;

public class DicResourceRankCategory {
    public static final String RESOURCEQUATITY = "资源数量";
    public static final String APPLYTIMES = "申请次数";
    public static final String USETIMES = "调用次数";
    public static final String TRADETIMES = "交易次数";
    public static final String TRADESUM = "交易金额";


    private static DicResourceRankCategory instance = null;
    private static LinkedHashMap<String, String> dicMap = null;

    private DicResourceRankCategory(){
        dicMap = new LinkedHashMap<String, String>();
        dicMap.put(RESOURCEQUATITY, RESOURCEQUATITY);
        dicMap.put(APPLYTIMES, APPLYTIMES);
        //dicMap.put(USETIMES, USETIMES);
        dicMap.put(TRADETIMES, TRADETIMES);
        dicMap.put(TRADESUM, TRADESUM);
    }

    public static DicResourceRankCategory getInstance(){
        if (instance == null)
        {
            instance = new DicResourceRankCategory();
        }
        return instance;
    }

    public LinkedHashMap<String, String> getDicMap() {
        return (LinkedHashMap<String, String>)dicMap.clone();
    }

}
